VB code in Visual Studio 2008


DevX Home    Today's Headlines   Articles Archive   Tip Bank   Forums   

Results 1 to 5 of 5

Thread: VB code in Visual Studio 2008

  1. #1
    Join Date
    Nov 2007
    Posts
    38

    VB code in Visual Studio 2008

    Hi,

    I have the following code, from VB that when i use it in Visual Studio it reports me an error related to "ThisApplication.ActiveDocument":
    Code:
    Documento = ThisApplication.ActiveDocument
    I tried some alternatives, but....nothing.

    What is the code in Visual Studio to make this?

    Thanks

  2. #2
    Join Date
    Apr 2007
    Location
    Sterling Heights, Michigan
    Posts
    8,666
    What is the error that it returns?
    I don't answer coding questions via PM or Email. Please post a thread in the appropriate forum section.
    Please use [Code]your code goes in here[/Code] tags when posting code.
    Before posting your question, did you look here?
    Got a question on Linux? Visit our Linux sister site.
    Modifications Required For VB6 Apps To Work On Vista

  3. #3
    Join Date
    Nov 2007
    Posts
    38

    Wink

    Thanks Hack i've already solved this issue, but thanks anyway!!

  4. #4
    Join Date
    Apr 2007
    Location
    Sterling Heights, Michigan
    Posts
    8,666
    Then please post the error that you were having and how you resolved your issue.

    It could help someone else with the same or simliar problem.

    Thanks.
    I don't answer coding questions via PM or Email. Please post a thread in the appropriate forum section.
    Please use [Code]your code goes in here[/Code] tags when posting code.
    Before posting your question, did you look here?
    Got a question on Linux? Visit our Linux sister site.
    Modifications Required For VB6 Apps To Work On Vista

  5. #5
    Join Date
    Nov 2007
    Posts
    38
    Because the appliocation in cause is "Autodesk Inventor 2008" i have to set a variable as an application. so:

    Code:
     Dim inventorap As Inventor.Application
            inventorap = GetObject(, "inventor.application")
    
    Dim Documento As Inventor.PartDocument
            Documento = inventorap.ActiveDocument
    Here it is.

    Thanks

Similar Threads

  1. Control Arrays in VB.NET
    By Gary Nelson in forum .NET
    Replies: 277
    Last Post: 10-01-2003, 01:00 AM
  2. Microsoft's C++ bigotry
    By Phil Weber in forum .NET
    Replies: 632
    Last Post: 10-01-2003, 01:00 AM
  3. Replies: 0
    Last Post: 05-20-2003, 08:06 AM
  4. Make VB code work in MS Access 2000?
    By Pihlis in forum VB Classic
    Replies: 2
    Last Post: 07-17-2002, 01:34 AM
  5. They created J#, why couldn't they do VB#?
    By Thomas Eyde in forum .NET
    Replies: 290
    Last Post: 12-22-2001, 03:13 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
HTML5 Development Center
 
 
FAQ
Latest Articles
Java
.NET
XML
Database
Enterprise
Questions? Contact us.
C++
Web Development
Wireless
Latest Tips
Open Source


   Development Centers

   -- Android Development Center
   -- Cloud Development Project Center
   -- HTML5 Development Center
   -- Windows Mobile Development Center